Update a printer
curl --request PATCH \
--url https://clarus-api.com/api/printers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "printers",
"attributes": {
"name": "Zebra ZD420 - Pack Station 2",
"is_default": false
}
}
}
'import requests
url = "https://clarus-api.com/api/printers/{id}"
payload = { "data": {
"type": "printers",
"attributes": {
"name": "Zebra ZD420 - Pack Station 2",
"is_default": False
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'printers',
attributes: {name: 'Zebra ZD420 - Pack Station 2', is_default: false}
}
})
};
fetch('https://clarus-api.com/api/printers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3",
"type": "printers",
"attributes": {
"name": "Zebra ZD420 - Pack Station 2",
"supports_labels": true,
"supports_documents": false,
"is_default": false
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Printers
Update a printer
Update an existing printer’s name, description, capabilities, or default flag.
PATCH
/
api
/
printers
/
{id}
Update a printer
curl --request PATCH \
--url https://clarus-api.com/api/printers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "printers",
"attributes": {
"name": "Zebra ZD420 - Pack Station 2",
"is_default": false
}
}
}
'import requests
url = "https://clarus-api.com/api/printers/{id}"
payload = { "data": {
"type": "printers",
"attributes": {
"name": "Zebra ZD420 - Pack Station 2",
"is_default": False
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'printers',
attributes: {name: 'Zebra ZD420 - Pack Station 2', is_default: false}
}
})
};
fetch('https://clarus-api.com/api/printers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3",
"type": "printers",
"attributes": {
"name": "Zebra ZD420 - Pack Station 2",
"supports_labels": true,
"supports_documents": false,
"is_default": false
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the printer to update
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
Show child attributes
Show child attributes
⌘I

